;-----------------------------------------------------
;	      EXAMPLE OF MENULIB2 LIBRARY
;		   for TI92 / TI92 II
;
;	(c) 1999 Benoit SCHERRER, NeXO Software
;-----------------------------------------------------

	include "tios.h"
 	include "flib.h"
	include "menulib2.h" 
	include "api92.h"

	xdef _main
	xdef _comment

_main:

	jsr	flib::clr_scr          ; clear the screen

	moveq.w	#0,d0
	jsr	api92::SetFont

	lea	Menu1DATA(PC),a0		;address of structur
	jsr	menulib2::Create_SubMenu



	jsr	flib::clr_scr          ; clear the screen

	moveq.w	#1,d0
	jsr	api92::SetFont

	lea	Menu2DATA(PC),a0		;address of structur
	jsr	menulib2::Create_SubMenu



	jsr	flib::clr_scr          ; clear the screen
	moveq.w	#2,d0
	jsr	api92::SetFont

	lea	Menu3DATA(PC),a0		;address of structur
	jsr	menulib2::Create_SubMenu

	rts


Menu1DATA:
	dc.w	60		;X
	dc.w	20		;Y
	dc.w	6		;nb items
	dc.w	18		;max nb char (for menu width)
	dc.w	0		;current item selected
	dc.b	%00100001	;allow F6 and F1

	dc.b	"The Menulib2",0
	dc.b	"Library is a",0
	dc.b	"very powerful",0
	dc.b	"and easy way to",0
	dc.b	"create menus",0
	dc.b	"in your programs.",0


Menu2DATA:
	dc.w	60		;X
	dc.w	30		;Y
	dc.w	4		;nb items
	dc.w	18		;max nb char (for menu width)
	dc.w	2		;current item selected
	dc.b	%10000010	;allow F8 and F2

	dc.b	"This version",0
	dc.b	"works with the",0
	dc.b	"three fonts of",0
	dc.b	"the TI-OS !",0


Menu3DATA:
	dc.w	60		;X
	dc.w	40		;Y
	dc.w	3		;nb items
	dc.w	13		;max nb char (for menu width)
	dc.w	1		;current item selected
	dc.b	%10000010	;allow F8 and F2

	dc.b	"The font 2",0
	dc.b	"is big, ",0
	dc.b	"isn't it ?",0


_comment:
	dc.b "MenuLib2 Example",0

	end
