;----------------------------------------------------------------------
;			M E N U L I B    2
;
;	    FARGO II / PLUSSHELL / DOORSOS Header File
;
;
;		(c) NeXO Software, Benoit SCHERRER
;----------------------------------------------------------------------

;----------------------------------------------------------------------
; > Draw a Menu on the screen
;
; Input :	a0.l	: address of the MNU Structure
; Ouput :	d0.w 	: if d0<255 zero based index of selectionned item
;		 	: 340/337 if Paf Right/Left
;		 	: 268..275 if F1..F8
;	The function modify the 'Selected' word of the MNU structure
;
; DESTROY ONLY d0,d1
;
; MNU Structure :
; 	dc.w	X		;X position where show the menu
;	dc.w	Y		;Y position where show the menu
;	dc.w	NbItem		;Nb item - 1
;	dc.w	MaxWidth	;Max nb of chars (for menu width)
;	dc.w	Selected	;Zero based index of current selected item
;	dc.b	FctKey		;Bit 0..7 allow F1..F8
;
;	dc.b	".....",0	;Item names. Zero terminated
;	dc.b	"..",0
;	dc.b	"..........",0
;
;-----------------------------------------------------------------------
menulib2::Create_SubMenu	EQU	menulib2@0000
